Bug 22943 - Remove the Flash player plugin from the M7 repository
Summary: Remove the Flash player plugin from the M7 repository
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: release_blocker normal
Target Milestone: Mageia 7
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-22 18:19 CEST by William Kenney
Modified: 2019-02-14 20:14 CET (History)
7 users (show)

See Also:
Source RPM: flash-player-plugin
CVE:
Status comment:


Attachments

Description William Kenney 2018-04-22 18:19:06 CEST
Description of problem:

The Adobe Flash player has become an industry pariah. Adobe defacto no longer supports it and provides, free of charge, a kit that allows website managers to transition from Flash to HTML5. Mozilla, as it releases new versions of Firefox, is making it increasing more difficult to deal with a Flash website.

Even if we stop supporting Flash there will be plenty of ways to install the Flash player on Firefox.

90%++ of legitimate websites no longer need the Flash Player and have transitioned to HTML5.
Comment 1 Marja Van Waes 2018-04-23 05:54:51 CEST
Assigning to the registered maintainer.

CC: (none) => marja11
Assignee: bugsquad => anssi.hannula
Source RPM: flash-player-plugin-26.0.0.126-1.mga6.nonfree.i586.rpm => flash-player-plugin

Comment 2 David Walser 2018-04-23 23:23:07 CEST
Any packager can resolve this.  I will probably even obsolete it in Mageia 6 once we move to FF60 if our current package doesn't work with it.

Target Milestone: --- => Mageia 7
Priority: Normal => release_blocker
CC: (none) => anssi.hannula
Assignee: anssi.hannula => pkg-bugs

Comment 3 William Kenney 2018-04-23 23:47:42 CEST
Your the best David. I'm glad we're having this conversation now.
Comment 4 Jeremiah Summers 2018-06-08 19:20:48 CEST
I still use it all my kids educational sites still do and a lot of Companies like AppDynamics and things like VMWare versions 6-6.5 pretty much require it. I think it's way to soon to pull it. Browsers can still be forced to use it (and do) and people for their jobs are annoying forced to find every work around so they can. On a personal note I package it myself so it's not going to go away for me, but if to do my job I have to go to such great lengths to keep it around, I think others will be amiss if it goes away.

CC: (none) => JMiahMan

Comment 5 David Walser 2018-06-08 20:17:57 CEST
VMWare has switched to a web interface (go to /ui/ instead of /vsphere-client/) and there will probably be sites that haven't ditched even after Adobe has EOL'd it.  The fact is, we're doing more harm than good by continuing to supply the package to our users.  If there's a real actual *need* for it you can still get it from Adobe.
Comment 6 William Kenney 2018-06-08 20:36:22 CEST
Somewhere we're probably going to have to document where to download it from, extract it, and where to copy it to.
Comment 7 David Walser 2018-06-08 22:48:56 CEST
Fortunately it's simpler than that.  You download it from the same place the rest of the world does, and it's just an RPM.
Comment 8 Stig-Ørjan Smelror 2018-12-02 00:09:48 CET
Hi.

I've seen that the latest version was pushed to cauldron when it was released.

What is the consensus? Drop it or keep it until further notice?
Drop if for mga8?

If drop it, I will do it.
If we keep it, fine as well.


Cheers,
Stig

CC: (none) => smelror

Comment 9 William Kenney 2018-12-02 01:24:59 CET
I think for now we keep it in M7.
That is the feedback I have seen.
I raised this bug to start the conversation.
Mozilla ( Firefox ) has raised the point that their first release in 2020 will not support a Flash plug-in, all stop. So by maybe M8 this will be decided for us.
Comment 10 William Kenney 2018-12-02 01:28:11 CET
Setting this bug to RESOLVED

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 11 David Walser 2018-12-16 22:30:33 CET
Clearly this isn't fixed until the package is dropped.  Has there been any discussion on the dev ml?

Resolution: FIXED => (none)
Status: RESOLVED => REOPENED

Comment 12 Stig-Ørjan Smelror 2018-12-24 22:30:15 CET
(In reply to David Walser from comment #11)
> Clearly this isn't fixed until the package is dropped.  Has there been any
> discussion on the dev ml?

There hasn't been any afaik. I also think this should wait until M8.
Comment 13 William Kenney 2018-12-24 23:17:14 CET
(In reply to Stig-Ørjan Smelror from comment #12)

> There hasn't been any afaik. I also think this should wait until M8.

That is kinda why I started this thread. To open some discussion on
the status of Flash and at what point we should stop supporting it.
By the time we get into M6, lets say very late 2019 and the first
months of 2020, then Mozilla/Firefox will have put a stake in the
ground as to when they intend to stop supporting it. It's that
date I would look to as to when we drop supporting it.
Comment 14 Johnny A. Solbu 2019-01-02 23:04:24 CET
One aspect that I encountered this week.

Whenever I install Mageia, often in a VM, I have the habit of unselecting the nonfree repos, as I reject nonfree software as a matter of principle. (I happen to agree with Richard Stallman regarding software issues)
But sometimes I forget to unselect the nonfree repo.

Which brings me to my point: 
Why is the flash player still installed as default, unless one manually deselect it in the installer?

I recognize that some might find the player usefull. But, installing it by default?
It should be removed from the meta package that recommends it.

Those that really want it, should install it manually.

CC: (none) => cooker

Comment 15 Mike Rambo 2019-01-03 16:32:50 CET
I've hesitated to comment on this, but - fwiw - I work in education (k12 school district). Flash is still a major thing with educational content here. Flash updates are a required part of our desktop admin's job duties. For Windows 10, Microsoft is still updating flash as a normal part of windows updates.

We also have vmware which, while it advertises html 5 in addition to flash, clearly marks it as partial functionality. Maybe that is due to an older version (schools don't move fast), but flash is still the the first class citizen for our vmware.

Perhaps none of the above matters for Mageia. But I've understood mga to be oriented toward new users and user friendliness rather than grey beards and technophiles. If so, it might be a bit early to drop flash for mga 7 IMO. I suspect people coming over from windows, at least in the environment in which I work, would consider it a shortcoming to have difficulty obtaining something as vital (in their mind) as flash.

CC: (none) => mrambo

Comment 16 William Kenney 2019-01-03 18:56:57 CET
Adobe has officially indicated that they will EOL Flash support by "end of 2020". Mozilla ( Firefox ) has publicly followed suit. Many many websites will continue to use and support Flash beyond it's EOL simply because the will not or cannot invest in HTML5. If you haven't noticed there are still updates to Flash but those instances have become someone fewer. Security experts are suggesting that malware writers are literally saving up until official support is stopped. They will then turn loose a fury of compromises. I kinda of believe that. Certainly M7 should continue to support Flash. I started this thread to get people to discuss this subject and it has been a great place to discuss this. IMO M8 should NOT support a Flash install. There will be plenty of other ways for folks to install flash. But Mageia should not be part of the carnage that will follow Adobe and Mozillas EOL of Flash.
Comment 17 Thomas Andrews 2019-02-14 20:14:31 CET
(In reply to Johnny A. Solbu from comment #14)
> One aspect that I encountered this week.
> 
> Whenever I install Mageia, often in a VM, I have the habit of unselecting
> the nonfree repos, as I reject nonfree software as a matter of principle. (I
> happen to agree with Richard Stallman regarding software issues)
> But sometimes I forget to unselect the nonfree repo.
> 
> Which brings me to my point: 
> Why is the flash player still installed as default, unless one manually
> deselect it in the installer?
> 
> I recognize that some might find the player usefull. But, installing it by
> default?
> It should be removed from the meta package that recommends it.
> 
> Those that really want it, should install it manually.

That's strange. If I want Flash installed, I've always had to go after it. I can't remember it ever being installed by default, except possibly during an upgrade install where it was on the install being upgraded.

CC: (none) => andrewsfarm


Note You need to log in before you can comment on or make changes to this bug.